#!/bin/bash
source "${AGENT_PATH}/_common.sh"
_check_required_env_vars "LOCAL_DATA_FOLDER" "BACKUP_FILE" "TEMP_DIR" "CONTAINER_NAME"

# Nginx Example Backup Script
# hot backup is fine for nginx website content.

autobackup "path=${LOCAL_DATA_FOLDER}" || _die "Failed to create backup"

echo "Backup complete for ${CONTAINER_NAME}"
